org.apache.poi.ss.usermodel.charts

## Interface ManualLayout

- All Known Implementing Classes:
    XSSFManualLayout

  Deprecated.
  use XDDFManualLayout instead

      @Deprecated
       @Removal(version="4.2")
      public interface ManualLayout

  High level representation of chart element manual layout.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `LayoutMode` | `getHeightMode()` Deprecated. Returns current height mode of this
    `double` | `getHeightRatio()` Deprecated. Returns current fraction of the height of the chart.
    `LayoutTarget` | `getTarget()` Deprecated. Returns current layout target.
    `LayoutMode` | `getWidthMode()` Deprecated. Returns current width mode of this manual layout.
    `double` | `getWidthRatio()` Deprecated. Returns current fraction of the width of the chart.
    `double` | `getX()` Deprecated. Returns the x location of the chart element.
    `LayoutMode` | `getXMode()` Deprecated. Returns current x-coordinnate layout mode.
    `double` | `getY()` Deprecated. Returns current y location of the chart element.
    `LayoutMode` | `getYMode()` Deprecated. Returns current y-coordinate layout mode.
    `void` | `setHeightMode(LayoutMode mode)` Deprecated. Specifies how to interpret the Height element for this manual layout.
    `void` | `setHeightRatio(double ratio)` Deprecated. Specifies the height (if Height Mode is Factor) or bottom (if Height Mode is edge) of the chart element as a fraction of the height of the chart.
    `void` | `setTarget(LayoutTarget target)` Deprecated. Sets the layout target.
    `void` | `setWidthMode(LayoutMode mode)` Deprecated. Specifies how to interpret the Width element for this manual layout.
    `void` | `setWidthRatio(double ratio)` Deprecated. Specifies the width (if Width Mode is Factor) or right (if Width Mode is Edge) of the chart element as a fraction of the width of the chart.
    `void` | `setX(double x)` Deprecated. Specifies the x location (left) of the chart element as a fraction of the width of the chart.
    `void` | `setXMode(LayoutMode mode)` Deprecated. Sets the x-coordinate layout mode.
    `void` | `setY(double y)` Deprecated. Specifies the y location (top) of the chart element as a fraction of the height of the chart.
    `void` | `setYMode(LayoutMode mode)` Deprecated. Sets the y-coordinate layout mode.

- - ### Method Detail

    - #### setTarget

          void setTarget(LayoutTarget target)

      Deprecated.
      Sets the layout target.
      Parameters:
        `target` - new layout target.

    - #### getTarget

          LayoutTarget getTarget()

      Deprecated.
      Returns current layout target.
      Returns:
        current layout target

    - #### setXMode

          void setXMode(LayoutMode mode)

      Deprecated.
      Sets the x-coordinate layout mode.
      Parameters:
        `mode` - new x-coordinate layout mode.

    - #### getXMode

          LayoutMode getXMode()

      Deprecated.
      Returns current x-coordinnate layout mode.
      Returns:
        current x-coordinate layout mode.

    - #### setYMode

          void setYMode(LayoutMode mode)

      Deprecated.
      Sets the y-coordinate layout mode.
      Parameters:
        `mode` - new y-coordinate layout mode.

    - #### getYMode

          LayoutMode getYMode()

      Deprecated.
      Returns current y-coordinate layout mode.
      Returns:
        current y-coordinate layout mode.

    - #### getX

          double getX()

      Deprecated.
      Returns the x location of the chart element.
      Returns:
        the x location (left) of the chart element or 0.0 if not set.

    - #### setX

          void setX(double x)

      Deprecated.
      Specifies the x location (left) of the chart element as a fraction of the width of the chart. If Left Mode is Factor, then the position is relative to the default position for the chart element.

    - #### getY

          double getY()

      Deprecated.
      Returns current y location of the chart element.
      Returns:
        the y location (top) of the chart element or 0.0 if not set.

    - #### setY

          void setY(double y)

      Deprecated.
      Specifies the y location (top) of the chart element as a fraction of the height of the chart. If Top Mode is Factor, then the position is relative to the default position for the chart element.

    - #### setWidthMode

          void setWidthMode(LayoutMode mode)

      Deprecated.
      Specifies how to interpret the Width element for this manual layout.
      Parameters:
        `mode` - new width layout mode of this manual layout.

    - #### getWidthMode

          LayoutMode getWidthMode()

      Deprecated.
      Returns current width mode of this manual layout.
      Returns:
        width mode of this manual layout.

    - #### setHeightMode

          void setHeightMode(LayoutMode mode)

      Deprecated.
      Specifies how to interpret the Height element for this manual layout.
      Parameters:
        `mode` - new height mode of this manual layout.

    - #### getHeightMode

          LayoutMode getHeightMode()

      Deprecated.
      Returns current height mode of this
      Returns:
        height mode of this manual layout.

    - #### setWidthRatio

          void setWidthRatio(double ratio)

      Deprecated.
      Specifies the width (if Width Mode is Factor) or right (if Width Mode is Edge) of the chart element as a fraction of the width of the chart.
      Parameters:
        `ratio` - a fraction of the width of the chart.

    - #### getWidthRatio

          double getWidthRatio()

      Deprecated.
      Returns current fraction of the width of the chart.
      Returns:
        fraction of the width of the chart or 0.0 if not set.

    - #### setHeightRatio

          void setHeightRatio(double ratio)

      Deprecated.
      Specifies the height (if Height Mode is Factor) or bottom (if Height Mode is edge) of the chart element as a fraction of the height of the chart.
      Parameters:
        `ratio` - a fraction of the height of the chart.

    - #### getHeightRatio

          double getHeightRatio()

      Deprecated.
      Returns current fraction of the height of the chart.
      Returns:
        fraction of the height of the chart or 0.0 if not set.

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.